Subject: [PATCH] Exynos4: cpuidle: support dual CPUs with AFTR state

From: [email-masked] (Krzysztof Kozlowski)
Date: Wed, 25 Jun 2014 09:36:40 +0200

On sob, 2014-06-14 at 00:43 +0200, Daniel Lezcano wrote:
> On 06/11/2014 10:50 AM, Krzysztof Kozlowski wrote:
(...)
> >
> > Hi,
> >
> > Shouldn't the exynos_idle_barrier be initialized here?
> 
> As it is a static data it will be initialized to zero.
> 
> > I know you sent the patch almost 2 months ago but I stomped on this
> > while testing it on Exynos3250.
> 
> No problem. And what results on exynos3250 ?

I had to change some of the ways for synchronization two cores (boot
vector behaves differently) so actually the driver is different except
the general idea. As for the results (on dual-core Exynos3250) - the
mode (AFTR+CPU1 off) consumes about 5% less energy than idle-WFI state.

I expect there will be much more savings in deeper mode (called here
W-AFTR).

Best regards,
Krzysztof